QGIS Application - Bug report #18395

Calculating new field works inside QGIS Python console but not in standalone program (QGIS
2.18.17)

2018-03-09 01:47 AM - J Z

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.18.17 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 26285
Description

My code in the standalone program

import sys

sys.path.append("C:/0SGeo4W64/apps/qgis-Itr/python/plugins”)

from qgis.core import *

from PyQt4.QtCore import *
from PyQt4.QtGui import *

import processing
from processing.core.Processing import Processing

QgsApplication.setPrefixPath("C:/0SGeo4W64/apps/qgis-ltr", True)
qgs = QgsApplication([], True)
qos.initQgis()

Processing.initialize()
Processing.updateAlgsList()
1. Here on

"om

shp1 = QgsVectorLayer("C:/Users/Documents/shape.shp", "shp1", "ogr")

processing.runalg('qqgis:fieldcalculator’, shp1, "new_field", 0, 1, 2, True, "$Area", "C./Users/Documents/shape2.shp")

qgs.exitQgis()

The exact same code after the label '# Here on' above works when using the Python console within QGIS. Whereas for the standalone
program | get the field names but no values. I'm using version 2.18.17.

History

#1 - 2018-03-09 01:48 AM - J Z

"Here on" is supposed to be a Python comment and the line after a regular line of code. In the blockquote it is converted to a list item.
#2 - 2018-10-22 06:28 PM - Denis Rouzaud
- Assignee deleted (Denis Rouzaud)
- Category changed from Python bindings / sipify to Processing/Core

sorry, no idea on my side

#3 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
